Top Pools by Token Address
Tokens
Top Pools by Token Address
This endpoint allows you to query top pools based on the provided token contract address on a network
GET
Top Pools by Token Address
Documentation Index
Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
Use this file to discover all available pages before exploring further.
Note
- The ranking of the top 20 pools is established by evaluating their liquidity and trading activity to identify the most liquid ones. This ranking is determined through a combination of two key factors: liquidity (
reserve_in_usd) and 24-Hour Trading Volume (volume_usd). - If the token’s market cap is not verified by the team, the API response will return
nullfor its market cap value, even though it has a displayed value on GeckoTerminal, which might not be accurate as it often matches the Fully Diluted Valuation (FDV). - Attributes specified in the
includeparam will be returned under the top-level “included” key. - This endpoint returns up to 20 pools per page. Use the
pageparam to navigate more results. page: Pagination beyond 10 pages is available for Paid Plan subscribers (Analyst plan or above).- Cache / Update Frequency:
- Every 60 seconds for Public API.
- Every 30 seconds for Pro API (Basic, Analyst, Lite, Pro, Enterprise).
Authorizations
Path Parameters
token contract address
Example:
"0xdac17f958d2ee523a2206206994597c13d831ec7"
Query Parameters
attributes to include, comma-separated if more than one to include
Available values: base_token, quote_token, dex
include tokens from inactive pools using the most recent swap, default: false
page through results Default value: 1
sort the pools by field Default value: h24_volume_usd_liquidity_desc
Available options:
h24_volume_usd_liquidity_desc, h24_tx_count_desc, h24_volume_usd_desc include GeckoTerminal community data (Sentiment votes, Suspicious reports) Default value: false

